Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Use the docs here to configure Pulp3 to use Auth provided by apache
https://docs.pulpproject.org/en/3.0/nightly/installation/authentication.html#webserver-auth

In the case of apache forwarding requests to the pulp wsgi if you're using mod_wsgi Pulp's defaults should work with

REMOTE_USER in the WSGI environment. If you're using a reverse proxy, you'll need to configure Pulp to trust the header

submitted from apache. For that, see the reverse proxy docs

https://docs.pulpproject.org/en/3.0/nightly/installation/authentication.html#webserver-auth-with-reverse-proxy

Related issues:

Related to Installer - Feature #28904: pulpcore REMOTE_USER_ENVIRON_NAME shou... Closed
Blocks Installer - Tracker #28736: Use Pulp 3 for File and Container content ... Closed
History

#1 - 06/12/2019 07:00 PM - David Davis
- Blocks Tracker #26987: Pulp3 Main tracker added

#2 - 06/12/2019 11:44 PM - Brian Bouterse

- Description updated
adding some details on how katello can use Pulp's auth
#3 - 06/17/2019 11:37 PM - Brian Bouterse

The pulp installer now supports a setting that you can use to set this variable:
https://github.com/pulp/ansible-pulp/pull/121#issuecomment-502782283

See pulp_remote_user_environ_name at https:/qgi . nsible-

#4 - 02/12/2020 05:11 PM - Ewoud Kohl van Wijngaarden
- Blocks deleted (Tracker #26987: Pulp3 Main tracker)

#5 - 02/12/2020 05:11 PM - Ewoud Kohl van Wijngaarden
- Related to Tracker #28736: Use Pulp 3 for File and Container content in Katello added

#6 - 02/12/2020 05:11 PM - Ewoud Kohl van Wijngaarden
- Related to deleted (Tracker #28736: Use Pulp 3 for File and Container content in Katello)

#7 - 02/12/2020 05:11 PM - Ewoud Kohl van Wijngaarden
- Blocks Tracker #28736: Use Pulp 3 for File and Container content in Katello added

#8 - 02/12/2020 05:12 PM - Ewoud Kohl van Wijngaarden
- Related to Feature #28904: pulpcore REMOTE_USER_ENVIRON_NAME should be configurable added

05/21/2024

1/2



https://docs.pulpproject.org/en/3.0/nightly/installation/authentication.html#webserver-auth
https://docs.pulpproject.org/en/3.0/nightly/installation/authentication.html#webserver-auth-with-reverse-proxy
https://github.com/pulp/ansible-pulp/pull/121#issuecomment-502782283
https://github.com/pulp/ansible-pulp/tree/master/roles/pulp#role-variables

#9 - 02/12/2020 05:14 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Duplicate

Looks like this wasn't tracked in the main tracker (#28736) and missed. However, as part of #28904 this has already been done.
